
/*******************************************************************************************/
/*
/*        Web: http://www.asdesigning.com
/*        Web: http://www.astemplates.com
/*        License: GNU General Public License version 3 or later
/*
/*******************************************************************************************/


.sf-menu, .sf-menu *
{
	margin: 0;
	padding: 0;
	list-style: none;
}

.navigation
{
	position: relative;
}

.navigation .sf-menu
{
	position: relative;
	overflow: visible;
	clear: both;
	height: auto !important;
}

.navigation .sf-menu:after
{
	clear: both;
	display: block;
	content: '';
}

.navigation .sf-menu.in
{
	height: auto !important;
	background-color: #8496b1;
	background-image: linear-gradient(to bottom, #586d8c, #8496b1);		
}

.navigation .btn-sf-menu
{
	display: none;
	float: left;
	margin: 1.5em 0px;
	font-size: 12px;
}

.scroll-to-fixed-fixed
{
	-moz-box-sizing: content-box !important;
	-webkit-box-sizing: content-box !important;
	box-sizing: content-box !important;
}

.navigation .select-menu
{
	width: 100%;
	display: none;
	margin: 0;
}

.sf-menu li
{
	position: relative;
}

.sf-menu > li,
.sf-menu ul > li
{
	float: left;
	list-style: none !important;
}

.sf-menu > li::before 
{
    background-color: #8496b1;
    background-image: linear-gradient(to bottom, #586d8c, #8496b1);
    background-repeat: repeat-x;
    content: "";
    height: 0;
    left: 0;
    position: absolute;
    top: 0;
    transition: all 0.3s ease 0s;
    width: 100%;
}

.sf-menu.in > li::before
{
    background-color: #000;
    background-image: none;	
}

.sf-menu > li
{
    background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
    border-left: 1px solid #a5b4cb;
	border-right: 1px solid #7085a5;
    border-image: none;
    box-sizing: border-box;
    float: left;
	text-align: center;
    margin: 0;
    padding: 0;
    position: relative;
}

.sf-menu.in > li
{
	border: none;	
}

.sf-menu > li.firstItem
{
	border-left: none;
}

.sf-menu > li.lastItem
{
	border-right: 1px solid #a5b4cb;
}

.sf-menu > li.lastItem a
{
	border-right: 1px solid #7085a5;
}

.sf-menu.in > li.lastItem,
.sf-menu.in > li.lastItem a
{
	border: none;	
}

.sf-menu > li > a 
{
    background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
    border: medium none;
    border-radius: 0;
    display: block;
    font-weight: 600;
    overflow: hidden;
    padding: 20px 45px 22px;
    position: relative;
    text-transform: uppercase;
    transition: all 0.3s ease 0s;
}

.sf-menu > li.current::before,
.sf-menu > li:hover::before 
{
    height: 100%;
}

.sf-menu li:hover > ul, 
.sf-menu li.sfHover > ul
{
	display: block;
}

.sf-menu a
{
	display: block;
	position: relative;
	color: #fff;
	font-family: Verdana, Geneva, sans-serif;
	padding: 25px;
	text-transform: uppercase;
	font-weight: bold;
}

.sf-menu ul ul
{
	top: 0;
	left: 100%;
}

.sf-menu.sf-vertical
{
}

.sf-menu.sf-vertical > li,
.sf-menu.sf-vertical ul > li
{
	float: none;
	list-style: none;
	width: 60%;	
}

.sf-menu.sf-vertical ul
{
	top: -1px;
	left: 101%;
	width: 100%;	
}

ul.sf-menu.sf-vertical li
{
    margin: 0;
    overflow: visible;
    padding: 0 0 0 20px;
    z-index: 0;
	line-height: 35px;
	border-bottom: 1px dotted #6c6b6b;
    color: #6c6b6b;
}

ul.sf-menu.sf-vertical li.current, 
ul.sf-menu.sf-vertical li.active, 
ul.sf-menu.sf-vertical li:hover 
{
	background-position: left bottom;	
    border-bottom: 1px dotted #ccc;
    color: #ccc;
	list-style-image: none;
}

ul.sf-menu li.current a, 
ul.sf-menu li.active a, 
ul.sf-menu li a:hover 
{
	color: #fff;
}

ul.sf-menusf-vertical li a
{
    text-shadow: none;
    text-transform: uppercase;
	padding: 5px;
}

ul.sf-menu ul
{
	position: absolute;
	display: none;
	top: 101%;
	left: -1px;
	z-index: 99;
}

ul.sf-menu  ul, 
ul.sf-menu  ul ul
{
	padding: 20px;
	background: #222;
	min-width: 190px;
}

ul.sf-menu  ul a, 
ul.sf-menu  ul ul a
{
	padding: 5px 20px !important;
	font-size: 0.9em;
}

ul.sf-menu.sf-vertical ul li.firstItem
{
}

@media (max-width: 1199px) 
{
	.sf-menu > li > a 
	{
		padding: 20px 30px 22px;
	}	
}

@media (max-width: 980px)
{
	.sf-menu > li > a 
	{
		padding: 20px 20px 22px;
	}	
}

@media (max-width: 767px) 
{
	.navigation .btn-navbar
	{
		display: block;
	}
	
	.navigation .select-menu
	{
		display: block;
	}
	
	.navigation ul.sf-menu
	{
		overflow: hidden;
		height: 0 !important;
		float: none;
	}
	
	.navigation ul.sf-menu>li
	{
		float: none;
		width: 100%;
		margin: 0;
	}
	
	.navigation ul.sf-menu>li ul
	{
		padding: 0 0 0 15px;
		width: auto;
		position: static;
	}
	
	ul.sf-menu.sf-vertical ul li
	{
		background: transparent;
		padding: 0 0 0 25px;
		border: none;
	}
	
	ul.sf-menu.sf-vertical ul li.current, 
	ul.sf-menu.sf-vertical ul li.active, 
	ul.sf-menu.sf-vertical ul li:hover, 
	ul.sf-menu.sf-vertical ul li.firstItem,
	ul.sf-menu.sf-vertical ul li.lastItem
	{
		border: none !important;
	}	
}
